## kf6-kwallet 6.20.0

=== docs/kwallet-query/CMakeLists.txt ===
#
# The main documentation is written using asciidoc
# So, the files *.adoc are the documentation sources
# These are converted to docbook format using the a2x
# tool that commes with the asciidoc package
#

if(BUILD_KWALLET_QUERY)
    set(m kwallet-query)
    kdoctools_create_manpage(man-${m}.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
endif()

=== src/runtime/kwalletbackend/CMakeLists.txt ===
include(CheckIncludeFiles)
include(GenerateExportHeader)

########### Configure checks for kwalletbackend ###############

check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(sys/bitypes.h HAVE_SYS_BITYPES_H)
if (Gpgmepp_FOUND)
    add_definitions(-DHAVE_GPGMEPP)
    add_definitions(-DBOOST_NO_EXCEPTIONS)
endif(Gpgmepp_FOUND)

configure_file (config-kwalletbackend.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwalletbackend.h )

########### kwalletbackend ###############
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus)
find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Notifications ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

find_package(LibGcrypt 1.5.0 REQUIRED)
set_package_properties(LibGcrypt PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "kwalletd needs libgcrypt to perform PBKDF2-SHA512 hashing"
                      )

ecm_setup_version(${KF_VERSION} VARIABLE_PREFIX KWALLETBACKEND SOVERSION 6)

add_library(KF6WalletBackend SHARED)

set_target_properties(KF6WalletBackend PROPERTIES
    VERSION   ${KWALLETBACKEND_VERSION}
    SOVERSION ${KWALLETBACKEND_SOVERSION}
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../../api/KWallet)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../../api/KWallet)
include_directories(${LIBGCRYPT_INCLUDE_DIRS})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

target_sources(KF6WalletBackend PRIVATE
   blockcipher.cc
   blowfish.cc
   cbc.cc
   sha1.cc
   kwalletentry.cc
   kwalletbackend.cc
   backendpersisthandler.cpp
)
ecm_qt_declare_logging_category(KF6WalletBackend
    HEADER kwalletbackend_debug.h
    IDENTIFIER KWALLETBACKEND_LOG
    CATEGORY_NAME kf.wallet.backend
    OLD_CATEGORY_NAMES kf5.kwallet.kwalletbackend
    DESCRIPTION "kwalletbackend"
    EXPORT KWALLET
)


generate_export_header(KF6WalletBackend
    BASE_NAME kwalletbackend
)

target_link_libraries(KF6WalletBackend
    Qt6::Widgets
    KF6::WidgetsAddons
    KF6::CoreAddons
    KF6::Notifications
    KF6::I18n
    ${LIBGCRYPT_LIBRARIES}
)
if(Gpgmepp_FOUND)
   target_link_libraries(KF6WalletBackend Gpgmepp)
endif(Gpgmepp_FOUND)

# link with advapi32 on windows
if(WIN32 AND NOT WINCE)
   target_link_libraries(KF6WalletBackend advapi32)
endif(WIN32 AND NOT WINCE)

install(TARGETS KF6WalletBackend ${KF_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

add_subdirectory(tests)

=== src/runtime/kwalletd/CMakeLists.txt ===

find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6DBusAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Crash ${KF_DEP_VERSION} REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(LIBSECRET REQUIRED libsecret-1)
include_directories(${LIBSECRET_INCLUDE_DIRS})
link_directories(${LIBSECRET_LIBRARY_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../kwalletbackend)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../kwalletbackend)


if(NOT WIN32)
    configure_file(org.kde.kwalletd5.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service)
    configure_file(org.kde.kwalletd6.service.in
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service)
endif()

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd5.service
        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kwalletd6.service
    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
)

set(kwalletd6_SRCS
    main.cpp
    kwalletd.cpp
    secretserviceclient.cpp
)

add_executable(kwalletd6)

if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
    EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS 5.72.0)
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.KWallet.xml)
else()
    # copy of org.kde.KWallet.xml, but with all deprecated API removed
    set(kwallet_xml ${CMAKE_SOURCE_DIR}/src/api/KWallet/org.kde.nodeprecated.KWallet.xml)
endif()

qt_add_dbus_adaptor(kwalletd6_SRCS
    ${kwallet_xml}
    kwalletd.h KWalletD
)

target_sources(kwalletd6 PRIVATE
    ${kwalletd6_SRCS}
)

ecm_qt_declare_logging_category(kwalletd6
    HEADER kwalletd_debug.h
    IDENTIFIER KWALLETD_LOG
    CATEGORY_NAME kf.wallet.kwalletd
    DESCRIPTION "kwalletd"
    EXPORT KWALLET
)

target_link_libraries(kwalletd6
    KF6WalletBackend
    KF6::ConfigCore
    KF6::CoreAddons
    KF6::WidgetsAddons
    KF6::Crash
    KF6::I18n
    KF6::DBusAddons
    KF6::Wallet
    Qt6::Widgets
    Qt::DBus
    ${LIBSECRET_LIBRARIES}
)

install( TARGETS kwalletd6 ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kf6-kwallet (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Add missing runtime dependency to libqca-qt6-plugins. (Closes:
    #1117199)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:49 +0100

=== debian/control ===
Source: kf6-kwallet
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libgcrypt20-dev (>= 1.5.0~),
               libgpgme-dev | libgpgme11-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf6colorscheme-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6crash-dev (>= 6.20.0~),
               libkf6dbusaddons-dev (>= 6.20.0~),
               libkf6doctools-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6notifications-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libkf6windowsystem-dev (>= 6.20.0~),
               libqca-qt6-dev (>= 2.3.1~),
               libqca-qt6-plugins <!nocheck>,
               libqt6sql6-sqlite <!nocheck>,
               libsecret-1-dev,
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kwallet
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
Rules-Requires-Root: no

Package: kwallet6
Architecture: any
Multi-Arch: foreign
Depends: libkf6wallet-data (= ${source:Version}),
         libkf6walletbackend6 (= ${binary:Version}),
         libqca-qt6-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5wallet-bin (<< 5.115.0-3~),
        libkf6wallet-bin,
        libpam-kwallet5 (<< 6.3.4-2~),
Replaces: libkf5wallet-bin (<< 5.115.0-3~),
          libkf6wallet-bin,
Description: safe desktop-wide storage for passwords - kwalletd daemon
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the kwalletd runtime daemon.

Package: libkf6wallet-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: safe desktop-wide storage for passwords - data files
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the translation files for the KWallet framework.

Package: libkf6wallet-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6colorscheme-dev (>= 6.20.0~),
         libkf6config-dev (>= 6.20.0~),
         libkf6coreaddons-dev (>= 6.20.0~),
         libkf6dbusaddons-dev (>= 6.20.0~),
         libkf6i18n-dev (>= 6.20.0~),
         libkf6notifications-dev (>= 6.20.0~),
         libkf6wallet6 (= ${binary:Version}),
         libkf6walletbackend6 (= ${binary:Version}),
         libkf6widgetsaddons-dev (>= 6.20.0~),
         libkf6windowsystem-dev (>= 6.20.0~),
         libqca-qt6-dev (>= 2.3.1~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6wallet-doc (= ${source:Version}),
Description: safe desktop-wide storage for passwords - development files
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the development files for the KWallet framework.

Package: libkf6wallet-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: safe desktop-wide storage for passwords - developer documentation
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the QCH developer documentation for the KWallet
 framework.

Package: libkf6wallet6
Architecture: any
Multi-Arch: same
Depends: libkf6wallet-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: safe desktop-wide storage for passwords - shared library
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the shared library to interface with KWallet.

Package: libkf6walletbackend6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: safe desktop-wide storage for passwords - backend library
 This framework contains two main components:
 - Interface to KWallet, the safe desktop-wide storage for
   passwords on KDE work spaces.
 - The kwalletd used to safely store the passwords on KDE work spaces.
 .
 This package contains the library with the password storage backend
 implementation for the kwalletd daemon.

## kf6-kwallet 6.20.0+p24.04+vunstable+git20251122.0807

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.21.0") # handled by release scripts
set(KF_DEP_VERSION "6.20.0") # handled by release scripts
project(KWallet VERSION ${KF_VERSION})
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

include(FeatureSummary)
find_package(ECM 6.20.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Gui Widgets)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateQDoc)

option(BUILD_KSECRETD "Build the ksecretd daemon" ON)
if(NOT WIN32 AND NOT APPLE)
    option(BUILD_KWALLETD "Build the kwallet daemon" ON)
else()
    set(BUILD_KWALLETD OFF)
endif()
option(BUILD_KWALLET_QUERY "Build kwallet-query tool" ON)

if(NOT WIN32 AND NOT APPLE AND NOT HAIKU)
    option(WITH_X11 "Build with support for KWindowSystem::isPlatformX11()" ON)
endif()

# ksecretd contains functions that are marked as deprecated.
# These are part of the public DBus API and are used by older applications
# Therefore we must not exclude those by default
set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)

if(BUILD_KSECRETD OR BUILD_KWALLETD)
    find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS CoreAddons I18n WindowSystem)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.10.0
    KF 6.19.0
)

if (WIN32)
    set(EXPORT_LEGACY_API 1)
else()
    set(EXPORT_LEGACY_API 0)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"ksecretd6\")
if(BUILD_KSECRETD OR BUILD_KWALLETD OR BUILD_KWALLET_QUERY)
    ki18n_install(po)
endif()
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(examples)
endif()
if(BUILD_KWALLET_QUERY)
    find_package(KF6DocTools ${KF_DEP_VERSION})
    if(KF6DocTools_FOUND)
        add_subdirectory(docs)
    endif()
endif()

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kf6-kwallet (6.20.0+p24.04+vunstable+git20251122.0807-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 08:07:41 +0000

kf6-kwallet (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:47 +1000

## kf6-kwallet 6.20.0+p24.04+vunstable+git20251206.0356

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KWallet VERSION ${KF_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kwallet (6.20.0+p24.04+vunstable+git20251206.0356-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:56:44 +0000

## kf6-kwallet 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KWallet VERSION ${KF_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

=== debian/changelog ===
kf6-kwallet (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:53:45 +0000

kf6-kwallet (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:16:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kwallet
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,20 +10,20 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6coreaddons-dev (>= 6.20.0~),
-               libkf6crash-dev (>= 6.20.0~),
-               libkf6dbusaddons-dev (>= 6.20.0~),
-               libkf6doctools-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6notifications-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
-               libkf6windowsystem-dev (>= 6.20.0~),
+               libkf6colorscheme-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6coreaddons-dev (>= 6.21.0~),
+               libkf6crash-dev (>= 6.21.0~),
+               libkf6dbusaddons-dev (>= 6.21.0~),
+               libkf6doctools-dev (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
+               libkf6notifications-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
+               libkf6windowsystem-dev (>= 6.21.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
@@ -30,11 +31,11 @@
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+               qt6-declarative-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
 Rules-Requires-Root: no
 
 Package: kwallet6
@@ -42,14 +43,10 @@
 Multi-Arch: foreign
 Depends: libkf6wallet-data (= ${source:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libqca-qt6-plugins,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5wallet-bin (<< 5.115.0-3~),
-        libkf6wallet-bin,
-        libpam-kwallet5 (<< 6.3.4-2~),
-Replaces: libkf5wallet-bin (<< 5.115.0-3~),
-          libkf6wallet-bin,
+Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
+Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
 Description: safe desktop-wide storage for passwords - kwalletd daemon
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -74,16 +71,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.20.0~),
-         libkf6config-dev (>= 6.20.0~),
-         libkf6coreaddons-dev (>= 6.20.0~),
-         libkf6dbusaddons-dev (>= 6.20.0~),
-         libkf6i18n-dev (>= 6.20.0~),
-         libkf6notifications-dev (>= 6.20.0~),
+Depends: libkf6colorscheme-dev (>= 6.21.0~),
+         libkf6config-dev (>= 6.21.0~),
+         libkf6coreaddons-dev (>= 6.21.0~),
+         libkf6dbusaddons-dev (>= 6.21.0~),
+         libkf6i18n-dev (>= 6.21.0~),
+         libkf6notifications-dev (>= 6.21.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.20.0~),
-         libkf6windowsystem-dev (>= 6.20.0~),
+         libkf6widgetsaddons-dev (>= 6.21.0~),
+         libkf6windowsystem-dev (>= 6.21.0~),
          libqca-qt6-dev (>= 2.3.1~),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
@@ -112,10 +109,10 @@
 
 Package: libkf6wallet6
 Architecture: any
-Multi-Arch: same
 Depends: libkf6wallet-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Multi-Arch: same
 Description: safe desktop-wide storage for passwords - shared library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -126,9 +123,8 @@
 
 Package: libkf6walletbackend6
 Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
 Description: safe desktop-wide storage for passwords - backend library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for

## kf6-kwallet 6.21.0+p24.04+vstable+git20260103.0249

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KWallet VERSION ${KF_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -52,8 +52,8 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 if (WIN32)

=== debian/changelog ===
kf6-kwallet (6.21.0+p24.04+vstable+git20260103.0249-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:49:55 +0000

kf6-kwallet (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:10:47 +1000

## kf6-kwallet 6.21.0+p24.04+vunstable+git20251207.0818

=== debian/changelog ===
kf6-kwallet (6.21.0+p24.04+vunstable+git20251207.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 08:18:44 +0000

## kf6-kwallet 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.23.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KWallet VERSION ${KF_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

=== debian/changelog ===
kf6-kwallet (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:33:00 +0000

=== debian/control ===
--- 
+++ 
@@ -5,25 +5,25 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6coreaddons-dev (>= 6.21.0~),
-               libkf6crash-dev (>= 6.21.0~),
-               libkf6dbusaddons-dev (>= 6.21.0~),
-               libkf6doctools-dev (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
-               libkf6notifications-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
-               libkf6windowsystem-dev (>= 6.21.0~),
+               libkf6colorscheme-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6doctools-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
+               libkf6windowsystem-dev (>= 6.22.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
@@ -71,16 +71,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.21.0~),
-         libkf6config-dev (>= 6.21.0~),
-         libkf6coreaddons-dev (>= 6.21.0~),
-         libkf6dbusaddons-dev (>= 6.21.0~),
-         libkf6i18n-dev (>= 6.21.0~),
-         libkf6notifications-dev (>= 6.21.0~),
+Depends: libkf6colorscheme-dev (>= 6.22.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6coreaddons-dev (>= 6.22.0~),
+         libkf6dbusaddons-dev (>= 6.22.0~),
+         libkf6i18n-dev (>= 6.22.0~),
+         libkf6notifications-dev (>= 6.22.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.21.0~),
-         libkf6windowsystem-dev (>= 6.21.0~),
+         libkf6widgetsaddons-dev (>= 6.22.0~),
+         libkf6windowsystem-dev (>= 6.22.0~),
          libqca-qt6-dev (>= 2.3.1~),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},

## kf6-kwallet 6.22.0+p24.04+vstable+git20260106.1042

=== debian/changelog ===
kf6-kwallet (6.22.0+p24.04+vstable+git20260106.1042-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 10:42:15 +0000

kf6-kwallet (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:42:10 +1000

## kf6-kwallet 6.22.0+p24.04+vstable+git20260107.0635

=== debian/changelog ===
kf6-kwallet (6.22.0+p24.04+vstable+git20260107.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 06:35:59 +0000

## kf6-kwallet 6.22.0+p24.04+vstable+git20260131.0230

=== debian/changelog ===
kf6-kwallet (6.22.0+p24.04+vstable+git20260131.0230-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:30:52 +0000

## kf6-kwallet 6.22.0+p24.04+vstable+git20260204.0057

=== debian/changelog ===
kf6-kwallet (6.22.0+p24.04+vstable+git20260204.0057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:57:05 +0000

## kf6-kwallet 6.22.0+p24.04+vstable+git20260205.2151

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KWallet VERSION ${KF_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)

=== debian/changelog ===
kf6-kwallet (6.22.0+p24.04+vstable+git20260205.2151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 21:51:42 +0000

## kf6-kwallet 6.22.0+p24.04+vunstable+git20260106.0954

=== debian/changelog ===
kf6-kwallet (6.22.0+p24.04+vunstable+git20260106.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:54:34 +0000

## kf6-kwallet 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KWallet VERSION ${KF_VERSION})
 set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
 
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://invent.kde.org/frameworks/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kwallet (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0). (Closes: #1118126)
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Drop armel bits, as that architecture was discontinued.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,27 @@
 Source: kf6-kwallet
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
                libgcrypt20-dev (>= 1.5.0~),
                libgpgme-dev | libgpgme11-dev,
                libgpgmepp-dev (>= 1.7.0~),
-               libkf6colorscheme-dev (>= 6.22.0~),
-               libkf6config-dev (>= 6.22.0~),
-               libkf6coreaddons-dev (>= 6.22.0~),
-               libkf6crash-dev (>= 6.22.0~),
-               libkf6dbusaddons-dev (>= 6.22.0~),
-               libkf6doctools-dev (>= 6.22.0~),
-               libkf6i18n-dev (>= 6.22.0~),
-               libkf6notifications-dev (>= 6.22.0~),
-               libkf6widgetsaddons-dev (>= 6.22.0~),
-               libkf6windowsystem-dev (>= 6.22.0~),
+               libkf6colorscheme-dev (>= 6.23.0~),
+               libkf6config-dev (>= 6.23.0~),
+               libkf6coreaddons-dev (>= 6.23.0~),
+               libkf6crash-dev (>= 6.23.0~),
+               libkf6dbusaddons-dev (>= 6.23.0~),
+               libkf6doctools-dev (>= 6.23.0~),
+               libkf6i18n-dev (>= 6.23.0~),
+               libkf6notifications-dev (>= 6.23.0~),
+               libkf6widgetsaddons-dev (>= 6.23.0~),
+               libkf6windowsystem-dev (>= 6.23.0~),
                libqca-qt6-dev (>= 2.3.1~),
                libqca-qt6-plugins <!nocheck>,
                libqt6sql6-sqlite <!nocheck>,
@@ -31,22 +29,25 @@
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.8.0~),
-Standards-Version: 4.7.0
+               qt6-declarative-dev (>= 6.5.0~),
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kwallet
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kwallet
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kwallet.git
 
 Package: kwallet6
 Architecture: any
 Multi-Arch: foreign
 Depends: libkf6wallet-data (= ${source:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
+         libqca-qt6-plugins,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
-Replaces: libkf5wallet-bin (<< 5.115.0-3~), libkf6wallet-bin,
+Breaks: libkf5wallet-bin (<< 5.115.0-3~),
+        libkf6wallet-bin,
+        libpam-kwallet5 (<< 6.3.4-2~),
+Replaces: libkf5wallet-bin (<< 5.115.0-3~),
+          libkf6wallet-bin,
 Description: safe desktop-wide storage for passwords - kwalletd daemon
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -71,16 +72,16 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf6colorscheme-dev (>= 6.22.0~),
-         libkf6config-dev (>= 6.22.0~),
-         libkf6coreaddons-dev (>= 6.22.0~),
-         libkf6dbusaddons-dev (>= 6.22.0~),
-         libkf6i18n-dev (>= 6.22.0~),
-         libkf6notifications-dev (>= 6.22.0~),
+Depends: libkf6colorscheme-dev (>= 6.23.0~),
+         libkf6config-dev (>= 6.23.0~),
+         libkf6coreaddons-dev (>= 6.23.0~),
+         libkf6dbusaddons-dev (>= 6.23.0~),
+         libkf6i18n-dev (>= 6.23.0~),
+         libkf6notifications-dev (>= 6.23.0~),
          libkf6wallet6 (= ${binary:Version}),
          libkf6walletbackend6 (= ${binary:Version}),
-         libkf6widgetsaddons-dev (>= 6.22.0~),
-         libkf6windowsystem-dev (>= 6.22.0~),
+         libkf6widgetsaddons-dev (>= 6.23.0~),
+         libkf6windowsystem-dev (>= 6.23.0~),
          libqca-qt6-dev (>= 2.3.1~),
          qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
@@ -109,10 +110,10 @@
 
 Package: libkf6wallet6
 Architecture: any
+Multi-Arch: same
 Depends: libkf6wallet-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Multi-Arch: same
 Description: safe desktop-wide storage for passwords - shared library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
@@ -123,8 +124,9 @@
 
 Package: libkf6walletbackend6
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
 Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: safe desktop-wide storage for passwords - backend library
  This framework contains two main components:
  - Interface to KWallet, the safe desktop-wide storage for
